# Generated from issue_centre-0.0.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name issue_centre

Name: rubygem-%{gem_name}
Version: 0.0.7
Release: 1%{?dist}
Summary: Gem to wrap the IssueCentre API, as published at www.issuecentre.com by First Option Software Ltd
License: MIT
URL: https://github.com/kitebuggy/issue_centre
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(vcr)
# BuildRequires: rubygem(webmock)
# BuildRequires: rubygem(yard)
BuildArch: noarch

%description
IssueCentre allows you to record, manage and
solve helpdesk issues. Features include intelligent search, advanced
ticket and SLA management, email integration, and multi-branding.
This gem provides a convenient interface for the API calls to an
IssueCentre back-end.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/issue_centre.gemspec
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.7-1
- Initial package
